### Hierarchy

- AnimationFrameServiceSingleton

### Implements

- OnDestroy

## Index

### Constructors

- constructor

### Properties

- animationFrameId
- frameSource
- ngZone
- tick

### Methods

- doTick
- ngOnDestroy

## Constructors

### constructor

- new AnimationFrameServiceSingleton(ngZone: NgZone): AnimationFrameServiceSingleton

- - Defined in src/utils/animation-frame.service.ts:14

  #### Parameters

  - ##### ngZone: NgZone

  #### Returns AnimationFrameServiceSingleton

## Properties

### Protected animationFrameId

animationFrameId: number

- Defined in src/utils/animation-frame.service.ts:14

### Protected frameSource

frameSource: Subject<number> = new Subject<number>()

- Defined in src/utils/animation-frame.service.ts:12

### Protected ngZone

ngZone: NgZone

- Defined in src/utils/animation-frame.service.ts:16

### tick

tick: Observable<number>

- Defined in src/utils/animation-frame.service.ts:10

## Methods

### Protected doTick

- doTick(frame: number): void

- - Defined in src/utils/animation-frame.service.ts:27

  #### Parameters

  - ##### frame: number

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/utils/animation-frame.service.ts:23

  #### Returns void

Generated using TypeDoc